@import url('https://fonts.googleapis.com/css?family=Poiret+One|Six+Caps&display=swap');

:root {
  --size: 200px;
  --main: #a44a3f;
}
body {
  background: #f6f4d2;
  color: var(--main);  
  font-family: 'Poiret One', cursive;
}
header {
  margin: 1rem auto 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 90%;
  max-width: 1300px;
}
h1 {
  text-transform: uppercase;
  margin: 1rem;
  font-size: 3rem;
  letter-spacing: .5rem;
  text-shadow: 3px 0 0 black, 5px 0 0 black, 7px 0 0 black;
}
.fa-sign-out-alt {
  float: right;
  font-size: 2rem;
  cursor: pointer;
}
.expo {
  text-align: center;
  margin: 2rem 0 -2rem;
}
.title{
  padding: 2px;;
  text-align: center;
  font-size: 3rem;
  letter-spacing: .5rem;
  margin: 0;
}

h2 {
  font-family: 'Six Caps', sans-serif;
  font-size: 5rem;
  font-weight: 100;
  letter-spacing: .6rem;
  margin: 3rem 0 1rem;
  text-shadow: 2px 1px 0 rgba(255, 166, 0, 0.815);
}
h3 {
  text-shadow: 2px 1px 0 black;
}
.container {
  margin: 0 auto;
  height: 500px;
  width: 940px;
  position: relative;
}
.container i {
  position: absolute;
  font-size: 3rem;
  top: 50%;
  transform: translateY(-50%);
  animation: scale 2s linear infinite;
  cursor: pointer;
}
@keyframes scale {
  0% {
    transform: scale(1);
  }
  50% {
    transform: scale(1.1) translateX(2px);
  }
  100% {
    transform: scale(1);
  }
}
.fa-chevron-right {
  right: 1px;
}

.cube-container {
  background: url(./media/basic-pics/CAEN-Musee-des-Beaux-Arts.jpg) no-repeat center/cover;
  width: 800px;
  height: 400px;
  box-shadow: 0 0 5px white;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  cursor: move;
}
/* SHADOW UNDER CUBE */
.cube-container::after {
  content: '';
  display: block;
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
  height: 10%;
  width: 290px;
  background: rgb(39, 39, 39);
  filter: blur(20px);
  z-index: 100;
}

/* 3D CUBE PARAMETERS */
.cube {
  margin: 5rem auto 0;
  width:var(--size);
  height:var(--size);
  transform-style: preserve-3d;  
  position: relative;
  animation: spin 1500s infinite linear;
}
.front {
  transform: rotateY(-5deg) rotateZ(3deg) rotateX(10deg) !important;
}
.left {
  transform: rotateY(95deg) rotateZ(2deg) rotateX(-6deg) !important;
}
.right {
  transform: rotateY(-85deg) rotateZ(-2deg) rotateX(-10deg) !important;
}
.top {
  transform: rotateY(-5deg) rotateZ(6deg) rotateX(-90deg) !important;
}
.bottom {
  transform: rotateY(-5deg) rotateZ(-12deg) rotateX(95deg) !important;
}
.back {
  transform: rotateY(175deg) rotateZ(2deg) rotateX(9deg) !important;
}
.side {
  position:absolute;
  opacity: 0.95;
  width:var(--size);
  height:var(--size);
  font-size: 4rem;
  font-weight: bold;
}
#front {
  background: url(./media/basic-pics/juan3.jpg) no-repeat center/cover;
  transform: translateZ(calc(var(--size) / 2)); 
}
#top {
  background: url(./media/basic-pics/juan2.jpg) no-repeat center/cover;
  transform: rotateX(-270deg) translateY(calc(-1 * ( var(--size) / 2 ) ) );
  transform-origin: top center;
}
#bottom {
  background: url(./media/basic-pics/juan1.jpg) no-repeat center/cover;  
  transform: rotateX(270deg) translateY(calc( var(--size) / 2) );
  transform-origin: bottom center; 
}
#right {
  background: url(./media/basic-pics/juan4.jpg) no-repeat center/cover;
  transform: rotateY(-270deg) translateX(calc( var(--size) / 2) );
  transform-origin: top right;
}
#left {
  background: url(./media/basic-pics/juan5.jpg) no-repeat center/cover;
  transform: rotateY(270deg) translateX(calc(-1 * ( var(--size) / 2 ) ));
  transform-origin: center left;
}
#back {
  background: url(./media/basic-pics/juan6.jpg) no-repeat center/cover;
  transform: rotateY(-180deg) translateZ(calc(( var(--size) / 2 ) ));
}
@keyframes spin {
	0% {
    transform: rotateY(30deg) rotateZ(25deg) rotateX(8deg);  
  }
	90% {
    transform: rotateY(3600deg) rotateZ(3600deg) rotateX(3600deg);
  }
}

/* USELESS BOTTOM PART */
.content {
  display: flex;
  max-width: 900px ;
  margin: 0 auto 4rem;
}
.column {
  padding: .1rem 1rem;
  margin: 1rem;
  border-radius: 5px 5px 0 0;
  border-bottom: 1px solid var(--main);
  box-shadow: 0 1px 1px 1px #d4e09b;
  background: #a44a3f;
}
.column i {
  margin-right: 6px;
}
.column h4 {
  color: black;
  text-transform: uppercase;
  letter-spacing: 2px;
  text-align: center;
  font-weight: bold;
}
.column p {
  text-align: justify;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  -webkit-line-clamp: 6;
  overflow: hidden;
  color: white;
}

